Quassel IRC - Bug #314

two different random crashes
09/11/2008 11:33 AM - mikkoc

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour
Target version:

Version: 0.4.3 0S: Any
Description

I noticed these two (random?) crashes with git.

History

#1 - 10/10/2008 08:57 PM - mikkoc

The first crash is still happening with today's git.
| haven't seen the second for a while now.

In addition | got a new one, I'll upload the backtrace.

#2 - 10/13/2008 02:29 AM - EgS

The first one doesn't contain enough information... :/
The second one is fixed in current git.
The third one is a known issue, sadly it's rare and | couldn't find out the proper reason

two very important general notes:
1) Please open for different crashes separate BRs, that makes it easier to mark/manage those issues.

2) if you can reproduce an issue, try to start quassel from a terminal. A Q_ASSERT might have triggered and their output is only on stderr but not in

those backtrace files. An indicator for an assert is this call sequence:

1.4 libc.s0.6
2.5 libQtCore.so0.4
3.6 libQtCore.so0.4

0x00007f0a18ee2630 abort
0x00007f0a1b7613a5 gt_message_output(QtMsgType, char const*)
0x00007f0a1b7614e7 qFatal(char const?, ...)

#3 - 10/21/2008 08:07 PM - mikkoc

Uploaded another backtrace, but it looks very similar to the first.
Anyway, | get this crash very very often.

#4 - 10/21/2008 08:12 PM - mikkoc

Ok, sorry.
Here's the output:

ASSERT failure in QVector<T>::at: "index out of range", file ../../include/QtCore/../../src/corelib/tools/qvector.h, line 323

1. 0 quasselclient
2.1 quasselclient

0x00000000005¢c49c8 Quassel::handleCrash()
0x00000000005¢5626 Quassel::handleSignal(int)

3.2libc.so.6 0x00007f49e41971f0 0x000000000000000
4.3 libc.s0.6 0x00007f49e4197185 gsignal
5.4 libc.so0.6 0x00007f49e4198630 abort

6.5 libQtCore.so0.4
7.6 libQtCore.s0.4
8.7 libQtGui.so.4
9. 8 libQtGui.s0.4
10. 9 quasselclient

0x00007f49e6a173a5 gt_message_output(QtMsgType, char const*)
0x00007f49e6a174e7 qFatal(char const?, ...)

0x00007f49e6262585 0x000000000000000

0x00007f49e627261f QTreeView::qt_metacall(QMetaObject::Call, int, void**)
0x000000000056€e865 NickView::gt_metacall(QMetaObject::Call, int, void™™)

11.
12.

10 libQtCore.so0.4
11 libQtCore.s0.4

0x00007f49e6b2abac QMetaObject::activate(QObject*, int, int, void**)
0x00007f49e6b24343 QODbject::event(QEvent*)

13. 12 libQtGui.s0.4 0x00007f49e5d816ad QApplicationPrivate::notify_helper(QObject*, QEvent*)

14.13 libQtGui.s0.4 0x00007f49e5d8868e QApplication::notify(QObject*, QEvent*)

15. 14 libQtCore.s0.4 0x00007f49e6b14380 QCoreApplication::notifyInternal(QObject*, QEvent*)

16. 15 libQtCore.s0.4 0x00007f49e6b413d6 0x000000000000000

17.16 libQtCore.so0.4 0x00007f49e6b41648 QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
18. 17 libQtGui.so0.4 0x00007f49e5e175fa 0x000000000000000

19. 18 libQtCore.so0.4 0x00007f49e6b12f32 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)
20. 19 libQtCore.so0.4 0x00007f49e6b130bd QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)

21.20 libQtCore.so0.4 0x00007f49e6b155bd QCoreApplication::exec()

22.21 quasselclient 0x0000000000474b77 main

23. 22 libc.so.6 0x00007f49e41841f4 __libc_start_main

24.23 quasselclient 0x0000000000474939 QTreeView::scrollTo(QModellndex const&, QAbstractltemView::ScrollHint)

#5 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#6 - 03/04/2010 08:12 PM - johu
- Status changed from New to Feedback
- Version set to 0.4.3

- OS set to Any

please give feedback, if this is resolved with quassel 0.5.2 or higher

#7 - 08/04/2010 09:29 PM - johu

No feedback was given within 5 months.

#8 - 08/04/2010 09:29 PM - johu
- Status changed from Feedback to Closed

Files

Quassel-Crash-20080911-1129.log 1.81 KB 09/11/2008 admin
Quassel-Crash-20080910-1700.log 2.87 KB 09/11/2008 admin
Quassel-Crash-20081010-1857.log 5.23 KB 10/10/2008 admin
Quassel-Crash-20081021-1943.log 1.89 KB 10/21/2008 admin
